"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/element-plus/es/index.js");
;/* empty css                                                                */
;/* empty css                                                                        */
;/* empty css                                                                     */
const Vue = require("vue");
const DataSourceSelect = require("../../../../components/DataSourceSelect.vue.js");
const FieldMapping = require("../../../../components/FieldMapping.vue2.js");
const ParamsConfig = require("../../../../components/ParamsConfig.vue2.js");
require("../../../../store/index.js");
;/* empty css                */
const _pluginVue_exportHelper = require("../../../../../../_virtual/_plugin-vue_export-helper.js");
const index = require("../../../../../../node_modules/element-plus/es/components/form/index.js");
const index$1 = require("../../../../../../node_modules/element-plus/es/components/switch/index.js");
const _hoisted_1 = { class: "desc-content" };
const _hoisted_2 = { class: "desc-content" };
const _hoisted_3 = { class: "desc-content" };
const _sfc_main = {
  __name: "FormSubmit",
  props: {
    formData: Object
  },
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_el_switch = index$1.ElSwitch;
      const _component_el_form_item = index.ElFormItem;
      return Vue.openBlock(), Vue.createElementBlock(Vue.Fragment, null, [
        Vue.createVNode(_component_el_form_item, { label: "表单校验" }, {
          default: Vue.withCtx(() => [
            Vue.createVNode(_component_el_switch, {
              modelValue: __props.formData.formValidate,
              "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => __props.formData.formValidate = $event)
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        }),
        Vue.createVNode(_component_el_form_item, { label: "要件必传校验" }, {
          default: Vue.withCtx(() => [
            Vue.createVNode(_component_el_switch, {
              modelValue: __props.formData.docValidate,
              "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => __props.formData.docValidate = $event)
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        }),
        Vue.createVNode(_component_el_form_item, { label: "选择数据源" }, {
          default: Vue.withCtx(() => [
            Vue.createVNode(DataSourceSelect.default, {
              modelValue: __props.formData.dataSourceId,
              "onUpdate:modelValue": _cache[2] || (_cache[2] = ($event) => __props.formData.dataSourceId = $event)
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        }),
        Vue.createVNode(_component_el_form_item, { label: "扩展参数" }, {
          default: Vue.withCtx(() => [
            Vue.createElementVNode("div", _hoisted_1, [
              _cache[6] || (_cache[6] = Vue.createElementVNode("div", { class: "condition-desc" }, " 配置额外的请求参数，用于补充表单上没有的字段。 ", -1)),
              Vue.createVNode(ParamsConfig.default, {
                modelValue: __props.formData.extraParams,
                "onUpdate:modelValue": _cache[3] || (_cache[3] = ($event) => __props.formData.extraParams = $event)
              }, null, 8, ["modelValue"])
            ])
          ]),
          _: 1
        }),
        Vue.createVNode(_component_el_form_item, { label: "字段映射" }, {
          default: Vue.withCtx(() => [
            Vue.createElementVNode("div", _hoisted_2, [
              _cache[7] || (_cache[7] = Vue.createElementVNode("div", { class: "condition-desc" }, " 当提交的字段与表单字段不一致时，可通过此配置进行映射。 ", -1)),
              Vue.createVNode(FieldMapping.default, {
                modelValue: __props.formData.fieldMapping,
                "onUpdate:modelValue": _cache[4] || (_cache[4] = ($event) => __props.formData.fieldMapping = $event)
              }, null, 8, ["modelValue"])
            ])
          ]),
          _: 1
        }),
        Vue.createVNode(_component_el_form_item, { label: "赋值表单" }, {
          default: Vue.withCtx(() => [
            Vue.createElementVNode("div", _hoisted_3, [
              Vue.createVNode(_component_el_switch, {
                modelValue: __props.formData.returnToForm,
                "onUpdate:modelValue": _cache[5] || (_cache[5] = ($event) => __props.formData.returnToForm = $event),
                style: { "width": "100%" }
              }, null, 8, ["modelValue"]),
              _cache[8] || (_cache[8] = Vue.createElementVNode("div", { class: "condition-desc" }, " 当开启后，将返回的数据赋值到表单字段及隐藏域中。 ", -1))
            ])
          ]),
          _: 1
        })
      ], 64);
    };
  }
};
const FormSubmit = /* @__PURE__ */ _pluginVue_exportHelper.default(_sfc_main, [["__scopeId", "data-v-1e21f9d9"]]);
exports.default = FormSubmit;
